# JDepend

API Documentation: | `JDepend`

Analyzes code with JDepend.

### Properties

Property | Description
`classesDir` | The directory containing the classes to be analyzed.
`jdependClasspath` | The class path containing the JDepend library to be used.
`reports` | The reports to be generated by this task.

### Methods

No methods

### Script blocks

Block | Description
`reports` | Configures the reports to be generated by this task. The contained reports can be configured by name and closures. Example:

### Property details

#### `File` `classesDir`

The directory containing the classes to be analyzed.

Default with `jdepend` plugin:
  ``sourceSet`.output.classesDir`

#### `FileCollection` `jdependClasspath`

The class path containing the JDepend library to be used.

Default with `jdepend` plugin:
  `project.configurations.jdepend`

#### `JDependReports` `reports` (read-only)

The reports to be generated by this task.

### Script block details

#### `reports` { }

Configures the reports to be generated by this task. The contained reports can be configured by name and closures. Example:

    jdependTask {
      reports {
        xml {
          destination "build/jdepend.xml"
        }
      }
    }

Delegates to:
  `JDependReports` from `reports`